<template>
  <div>
    <div class="rating-wrapper" style="height: 26px">Ma note :</div>
    <div class="rating-wrapper">
      <div class="rating rating_click">
        <input
          :id="'rating-input-' + album.id + '-5'"
          type="radio"
          class="rating-input"
          :name="'rating-input-' + album.id"
          :data-album="album.id"
          value="5"
        />
        <label
          :for="'rating-input-' + album.id + '-5'"
          class="icon icon-star rating-star"
        ></label>

        <input
          :id="'rating-input-' + album.id + '-4'"
          type="radio"
          class="rating-input"
          :name="'rating-input-' + album.id"
          :data-album="album.id"
          value="4"
        />
        <label
          :for="'rating-input-' + album.id + '-4'"
          class="icon icon-star rating-star"
        ></label>

        <input
          :id="'rating-input-' + album.id + '-3'"
          type="radio"
          class="rating-input"
          :name="'rating-input-' + album.id"
          :data-album="album.id"
          value="3"
        />
        <label
          :for="'rating-input-' + album.id + '-3'"
          class="icon icon-star rating-star"
        ></label>

        <input
          id="'rating-input-'+album.id+'-2'"
          type="radio"
          class="rating-input"
          :name="'rating-input-' + album.id"
          :data-album="album.id"
          value="2"
        />
        <label
          :for="'rating-input-' + album.id + '-2'"
          class="icon icon-star rating-star"
        ></label>

        <input
          id="'rating-input-'+album.id+'-1'"
          type="radio"
          class="rating-input"
          :name="'rating-input-' + album.id"
          :data-album="album.id"
          value="1"
        />
        <label
          :for="'rating-input-' + album.id + '-1'"
          class="icon icon-star rating-star"
        ></label>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Rating',
  props: {
    album: {
      type: Object,
      required: true
    }
  },
  data() {
    return {
      rating_album: 0
    }
  }
}
</script>
